Skip to main content
POST
/
v1
/
admin
/
quote-versions
/
{quoteVersionId}
/
send
Send quote version as proposal
curl --request POST \
  --url https://{operatorDomain}/v1/admin/quote-versions/{quoteVersionId}/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel": "email",
  "message": "<string>"
}
'
{
  "quoteVersion": {
    "id": "qver_01h...",
    "quoteId": "<string>",
    "version": 123,
    "status": "draft",
    "currency": "EUR",
    "totalAmount": 123,
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "proposalUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

quoteVersionId
string
required

Body

application/json
channel
string
Example:

"email"

message
string | null

Response

200 - application/json

Send result

quoteVersion
object
proposalUrl
string<uri>